Subject: RE: FVWM: Keyboard Mapping for Move Application

From: "Jason Dobies" <[email-masked]>
Date: Tue, 24 Aug 2004 07:50:18 -0400

Excellent, that worked perfectly. Thanks!

-----Original Message-----
From: João Luiz de Brito Macaíba [mailto:[email-masked]] 
Sent: Monday, August 23, 2004 5:49 PM
To: Jason Dobies
Cc: fvwm
Subject: Re: FVWM: Keyboard Mapping for Move Application

Hi, Jay.

Historians believe that in 2004-08-23 Jason Dobies wrote:

> Date: Mon, 23 Aug 2004 10:59:23 -0400
> From: Jason Dobies <[email-masked]>
> To: fvwm <[email-masked]>
> Subject: FVWM: Keyboard Mapping for Move Application
>
>
> I'm trying to setup my keyboard so I can move applications between 
> windows on my desktop, similar to Meta-Shift arrows in Gnome. The idea 
> is that I want to be able to press Meta-Shift and use the arrow keys 
> to move an application between windows. Any ideas?

I just configured kind of this feature this weekend :)

I used (hjkl) as in vim. But bellow I changed to the keys you intend to use.

The bindings bellow permits you to send (and follow) windows through 'pages' and 'desktops'.

--- 8< ---

# key bindings

# moving to the 'next' (n) or 'previous' (p) desktop,
# using n, p and Meta-Shift

Key p       A MS funcSendAndGoToDesk -1 0 2
Key n       A MS funcSendAndGoToDesk +1 0 2

# moving left,up,right,down through the pages,
# using the arrow keys with Meta-Shift

Key left    A MS funcSendAndGoToPage -1p  0p
Key up      A MS funcSendAndGoToPage  0p -1p
Key right   A MS funcSendAndGoToPage +1p  0p
Key down    A MS funcSendAndGoToPage  0p +1p

# functions

destroyFunc funcSendAndGoToDesk
addToFunc   funcSendAndGoToDesk
+ I moveToDesk $0 $1 $2
+ I goToDesk   $0 $1 $2

destroyFunc funcSendAndGoToPage
addToFunc   funcSendAndGoToPage
+ I moveToPage $0 $1
+ I goToPage   $0 $1

--- 8< ---

The only problem I see is that when we 'change desktops', we loose the focus on the window we're moving. We can alt-tab to regain focus.

Besides this problem, these bindings function well.

> Thanks,
>
> - Jay
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>. To 
> unsubscribe from the list, send "unsubscribe fvwm" in the body of a 
> message to [email-masked]. To report problems, send mail to 
> [email-masked].
>

HTH,
regards,

Joao Macaiba (aka Wavefunction).

----------------------------------------------------------------------
João Macaíba                                     macaiba at rnp dot br
GNU/Linux user #193415

- - - - - - - - - - - - - - - GnuPG - - - - - - - - - - - - - - - - - public key: http://search.keyserver.net:11371/pks/lookup?op=get&search=0xC719CFE2
key fingerprint
5B5A D112 8109 FF7A B21B 2CAB 3426 729A C719 CFE2
----------------------------------------------------------------------

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].